apiVersion: apps/v1
kind: Deployment
metadata:
  name: totext
  labels:
    app: totext
spec:
  replicas: 1
  selector:
    matchLabels:
      app: totext
  template:
    metadata:
      labels:
        app: totext
    spec:
      containers:
      - name: totext
        image: gcr.io/GOOGLE_CLOUD_PROJECT/searchteam:COMMIT_SHA
        ports:
        - containerPort: 8888
        resources:
          requests:
            cpu: 10m
            memory: 64Mi
        env:
        - name: FLASK_ENV
          value: 'production'
        - name: SECRET_KEY
          valueFrom:
            secretKeyRef:
              name: searchteam
              key: SECRET_KEY
---
apiVersion: v1
kind: Service
metadata:
  name: totext
  annotations:
    beta.cloud.google.com/backend-config:
      '{"default": "config-default"}'
spec:
  selector:
    app: totext
  ports:
  - protocol: TCP
    port: 8888
    targetPort: 8888
  type: NodePort